libcanberra-gstreamer_0.30-2.1ubuntu1_amd64.deb


Advertisement

Description

libcanberra-gstreamer - GStreamer backend for libcanberra

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libcanberra-gstreamer_0.30-2.1ubuntu1_amd64.deb
Package name libcanberra-gstreamer
Package version 0.30
Package release 2.1ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://0pointer.de/lennart/projects/libcanberra/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.83 KB
Installed size 38.00 KB
libcanberra defines a simple abstract interface for playing event
sounds.
This package contains the GStreamer backend for libcanberra.

Alternatives

Package Version Architecture Repository
libcanberra-gstreamer_0.30-2.1ubuntu1_i386.deb 0.30 i386 Ubuntu Main
libcanberra-gstreamer - - -

Requires

Name Value
libc6 >= 2.4
libcanberra0 = 0.30-2.1ubuntu1
libglib2.0-0 >= 2.32
libgstreamer1.0-0 >= 1.0.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libcanberra-gstreamer_0.30-2.1ubuntu1_amd64.deb
Source Package libcanberra

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcanberra-gstreamer deb package:
    # sudo apt-get install libcanberra-gstreamer

Files

Path
/usr/lib/x86_64-linux-gnu/libcanberra-0.30/libcanberra-gstreamer.so
/usr/share/doc/libcanberra-gstreamer/README.gz
/usr/share/doc/libcanberra-gstreamer/changelog.Debian.gz
/usr/share/doc/libcanberra-gstreamer/copyright

Changelog

2016-01-13 - Steve Langasek <steve.langasek@ubuntu.com>
libcanberra (0.30-2.1ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Add Vcs-Bzr field
- libcanberra0 depends on sound-theme-freedesktop
- Build-depend on libx11-dev, and add libx11-dev to depends for
libcanberra-gtk-dev and libcanberra-gtk3-dev
- Build depend on libglib2.0-dev
- Add support for unity-settings-daemon
- Disable login sound by default
- Show in Unity as well as GNOME
- Hide from startup applications
- gnome-session-canberra recommends libcanberra-pulse
- debian/patches/05_gtk_dont_assume_all_gdkdisplays_are_gdkx11displays.patch:
Import patch from upstream, to fix crashes on non X11 Gdk backends
2014-08-31 - Samuel Thibault <sthibault@debian.org>
libcanberra (0.30-2.1) unstable; urgency=medium
[ Samuel Thibault ]
* Non-maintainer upload.
[ Jelmer Vernooij ]
* Remove build-dependency on libtdb-dev on the Hurd, as tdb depends on
byte range locking which is not available on the Hurd. Closes: #190367.
2014-12-11 - Marco Trevisan (TreviƱo) <marco@ubuntu.com>
libcanberra (0.30-2ubuntu2) vivid; urgency=medium
* debian/patches/05_gtk_dont_assume_all_gdkdisplays_are_gdkx11displays.patch:
- Import patch from upstream, to fix crashes on non X11 Gdk backends
(lp: #1401622)
2014-05-07 - Luke Yelavich <themuso@ubuntu.com>
libcanberra (0.30-2ubuntu1) utopic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Add Vcs-Bzr field
- libcanberra0 depends on sound-theme-freedesktop
- Build-depend on libx11-dev, and add libx11-dev to depends for
libcanberra-gtk-dev and libcanberra-gtk3-dev
- Build depend on libglib2.0-dev
- Add support for unity-settings-daemon
- Disable login sound by default
- Show in Unity as well as GNOME
- Hide from startup applications
- gnome-session-canberra recommends libcanberra-pulse
2013-05-30 - Laurent Bigonville <bigon@debian.org>
libcanberra (0.30-2) unstable; urgency=low
* debian/rules: Properly exclude dh_makeshlibs from generating shlibs files
for 0.30 canberra modules
* debian/control.in:
- Bump Standards-Version to 3.9.4 (no further changes)
- Use canonical VCS URL
2013-03-24 - Sjoerd Simons <sjoerd@debian.org>
libcanberra (0.30-1) experimental; urgency=low
* New upstream release
* Gconf usage is dropped (remove b-d and schema install)
* Ported to gstreamer 1.0
2014-03-04 - Luke Yelavich <themuso@ubuntu.com>
libcanberra (0.30-0ubuntu3) trusty; urgency=medium
* Ship canberra-gtk-module.desktop in a location that unity-settings-daemon
can use as well.
2013-03-26 - Andrey Bondarenko <abondarenko@users.sourceforge.net>
libcanberra (0.30-0ubuntu2) raring; urgency=low
* debian/patches/10_no_nonnative_crash.patch:
- applied upstream since version 0.29 (LP: #1075928)
2012-11-29 - Iain Lane <iain.lane@canonical.com>
libcanberra (0.30-0ubuntu1) raring; urgency=low
[ Robert Ancell ]
* New upstream release (LP: #1057285)
* debian/control:
- Add build-depends on libglib2.0-dev, libx11-dev
- Replace build-depends on libgstreamer0.10-dev with libgstreamer1.0-dev
- GTK+ -dev packages depend on libx11-dev
* debian/patches/11_link-against-x11.patch:
- Applied upstream
[ Iain Lane ]
* Remove unnecessary BD on quilt
* Remove old 0.10 versioned restriction on gstreamer BD
2012-09-11 - Jeremy Bicha <jbicha@ubuntu.com>
libcanberra (0.29-0ubuntu2) quantal; urgency=low
* debian/gnome-session-canberra.gsettings-override:
- Dropped, override moved to ubuntu-default-settings

See Also

Package Description
libcanberra-gtk-common-dev_0.30-2.1ubuntu1_all.deb simple abstract interface for playing event sounds
libcanberra-gtk-dev_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcanberra-gtk-module_0.30-2.1ubuntu1_amd64.deb translates GTK+ widgets signals to event sounds
libcanberra-gtk0_0.30-2.1ubuntu1_amd64.deb GTK+ helper for playing widget event sounds with libcanberra
libcanberra-gtk3-0_0.30-2.1ubuntu1_amd64.deb GTK+ 3.0 helper for playing widget event sounds with libcanberra
libcanberra-gtk3-dev_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcanberra-gtk3-module_0.30-2.1ubuntu1_amd64.deb translates GTK3 widgets signals to event sounds
libcanberra-pulse_0.30-2.1ubuntu1_amd64.deb PulseAudio backend for libcanberra
libcanberra0_0.30-2.1ubuntu1_amd64.deb simple abstract interface for playing event sounds
libcap-dev_2.24-12_amd64.deb POSIX 1003.1e capabilities (development)
libcap-ng-dev_0.7.7-1_amd64.deb Development and header files for libcap-ng
libcap-ng0_0.7.7-1_amd64.deb An alternate POSIX capabilities library
libcap2-bin_2.24-12_amd64.deb POSIX 1003.1e capabilities (utilities)
libcap2_2.24-12_amd64.deb POSIX 1003.1e capabilities (library)
libcc1-0_5.3.1-14ubuntu2_amd64.deb GCC cc1 plugin for GDB
Advertisement
Advertisement